# @lightspeed/cirrus-tokens

## What are `tokens`?

Design Tokens are an abstraction for everything impacting the visual design of an app/platform.

This includes stuff like:
- font families
- typography scale
- spacing scale
- colors
- borders-radius
- media-queries
- animation timings
- etc...

It can be reused for multiple platforms (web, iOS, Android, etc...)

Some references on the subject:
- https://www.lightningdesignsystem.com/design-tokens/
- https://medium.com/eightshapes-llc/tokens-in-design-systems-25dd82d58421#.l93qrmwd1<Paste>
- https://github.com/salesforce-ux/design-system/wiki/Design-Tokens

## Installation

```sh
$ npm install --save @lightspeed/cirrus-tokens # or yarn add -S @lightspeed/cirrus-tokens
```

## Usage

### For JS Apps (experimental?)

```js
import tokens from '@lightspeed/cirrus-tokens'
```


### For other apps or for the usage of CSS only

You will need
- _required_ [`postcss`](https://github.com/postcss/postcss)
- _highly recommended_ [`postcss-imports`](https://github.com/postcss/postcss-import) in your build toolchain to make this work easily.

With `PostCSS import`

add this line to your CSS or Sass file

```css
@import '@lightspeed/cirrus-tokens/index.css';
```

Without PostCSS import

```css
@import './node_modules/@lightpeed/cirrus-tokens/index.css';
```



